- Qt 5.15
- Qt Bluetooth
- C++ Classes
- QBluetoothDeviceInfo
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QBluetoothDeviceInfo

The following members of class QBluetoothDeviceInfo are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` DataCompleteness | serviceUuidsCompleteness() const
`(obsolete)` void | setServiceUuids(const QList<QBluetoothUuid> &uuids, DataCompleteness completeness)

## Member Function Documentation

### DataCompleteness QBluetoothDeviceInfo::serviceUuidsCompleteness() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the completeness of the service UUID list. If DataComplete is returned, serviceUuids() returns the complete list of service UUIDs supported by the device, otherwise only the partial or empty list of service UUIDs. To get a list of all services supported by the device, a full service discovery needs to be performed.

### void QBluetoothDeviceInfo::setServiceUuids(const QList<QBluetoothUuid> &uuids, DataCompleteness completeness)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Sets the list of service UUIDs to uuids and the completeness of the data to completeness.

See also serviceUuids().